﻿<div ng-controller="portoEditCtrl" ng-init="load()" ng-switch="loading" class="d-flex flex-column h-100">

  <header class="p-3 text-bg-dark mb-3" style="background-color: #2b3035;">
    <div class="container-fluid">
      <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">


        <ul class="nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0">
          <li> <button type="button" class="btn btn-secondary me-5" ng-click="goBack()"> <i class="iconify" data-icon="material-symbols:arrow-back"></i></button></li>
          <li> <button type="button" class="btn btn-warning me-2" ng-click="go('/')">Home</button></li>
          <li><button type="button" class="btn btn-outline-light me-2" ng-click="go('statistiche')">statistiche</button></li>
        </ul>

      </div>
    </div>
  </header>

  <div class="container">
    <div class="col-12">

      <div class="card shadow">
        <div class="card-header d-flex justify-content-between ">
          <h5>Modifica Nominativo</h5>
          <button type="button" class="btn btn-sm btn-danger px-2" ng-click="setArchiviato(dati.id_utente)"> <i class="iconify ico-20" data-icon="teenyicons:bin-outline"></i></button>
        </div>

        <div class="card-body">

          <form id="formSalva" ng-submit="submitFormEdit()">
            <div class="row g-3">
              <div class="col-auto">
                <input autocomplete="off" type="text" uppercase class="form-control form-control-solid" placeholder="Cognome" ng-model="dati.cognome" minlength="3" maxlength="128" required="required">
              </div>
              <div class="col-auto">
                <input autocomplete="off" type="text" capitalize class="form-control form-control-solid" placeholder="Nome" ng-model="dati.nome" minlength="3" maxlength="128" required="required">
              </div>
              <div class="col-auto">
                <input autocomplete="off" type="text" class="form-control form-control-solid" data-provide="typeahead" placeholder="Luogo di Nascita" id="localita" name="localita" required="required">
              </div>
              <div class="col-auto">
                <input type="date" class="form-control form-control-solid" placeholder="Data di Nascita" ng-model="dati.dataNascitaIN" id="dataNascita" name="dataNascita" required="required">
              </div>

            </div>
            <div class="row g-3 my-3">
              <div class="col-auto">
                <input autocomplete="off" type="text" class="form-control form-control-solid" placeholder="Cellulare" ng-model="dati.cellulare1" minlength="3" maxlength="48">
              </div>
              <div class="col-auto">
                <input autocomplete="off" type="text" class="form-control form-control-solid" placeholder="Cellulare 2" ng-model="dati.cellulare2" minlength="3" maxlength="48">
              </div>
            </div>
            <div class="row g-3 my-3">
              <div class="col-auto d-flex">
                <label class="me-2 form-check-label text-nowrap pt-2 fw-bolder">Titolo Posseduto</label>
                <select class="form-select" required="required" ng-model="dati.titoloPosseduto">
                  <option selected value="">Seleziona</option>
                  <option value="1">Detenzione</option>
                  <option value="2">Tiro a Volo</option>
                  <option value="3">Uso Caccia</option>
                  <option value="4">Difesa Personale</option>
                  <option value="5">GPG</option>
                </select>
              </div>
              <div class="col-auto" ng-if="dati.titoloPosseduto == 2 || dati.titoloPosseduto == 3 || dati.titoloPosseduto == 4 || dati.titoloPosseduto == 5 ">
                <input autocomplete="off" type="text" class="form-control form-control-solid" placeholder="Numero Porto D'Armi" ng-model="dati.numeroPorto" minlength="3" maxlength="48">
              </div>
              <div class="col-auto" ng-if="dati.titoloPosseduto == 2 || dati.titoloPosseduto == 3 || dati.titoloPosseduto == 4 || dati.titoloPosseduto == 5 ">
                <input type="date" class="form-control form-control-solid" placeholder="Data Emissione Titolo" name="dataEmissioneTitolo" id="dataEmissioneTitolo" required="required">
              </div>
              <div class="col-auto d-flex pt-2">
                <div class="fs-6 me-2 fw-bolder">Possessore D'Armi?</div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" name="inlineRadioOptions" ng-model="dati.possessoreArmi" id="inlineRadio1" required="required" value="si">
                  <label class="form-check-label" for="inlineRadio1">SI</label>
                </div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" name="inlineRadioOptions" ng-model="dati.possessoreArmi" id="inlineRadio2" required="required" value="no">
                  <label class="form-check-label" for="inlineRadio2">NO</label>
                </div>
              </div>
            </div>
            <div class="row g-3 my-3">
              <div class="col-auto d-flex">
                <label class="me-2 text-nowrap pt-2 fw-bolder">Data Rilascio Certificato</label>
                <input type="date" class="form-control form-control-solid" ng-model="dati.dataCertificatoIN" name="dataCertificato" id="dataCertificato" ng-required="dati.titoloPosseduto == 1">
              </div>
              <div class="col-auto d-flex" ng-if="ckScaduto().scadutoP || ckScaduto().scadutoC">
                <button type="button" class="btn btn-warning">{{ckScaduto().text}}</button>
              </div>
              <div class="col-auto d-flex pt-2" ng-if="ckScaduto().scadutoP || ckScaduto().scadutoC">
                <div class="fs-6 me-2 fw-bolder">Diffidato?</div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" name="inlineRadioOptionsdiffida" ng-model="dati.diffida" id="inlineRadiodiffida1" checked value="no">
                  <label class="form-check-label" for="inlineRadio1">NO</label>
                </div>
                <div class="form-check form-check-inline">
                  <input class="form-check-input" type="radio" name="inlineRadioOptionsdiffida" ng-model="dati.diffida" id="inlineRadiodiffida2" value="si">
                  <label class="form-check-label" for="inlineRadio2">SI</label>
                </div>
              </div>
              <div class="col-auto" ng-if="dati.diffida == 'si'">
                <input type="date" class="form-control form-control-solid" placeholder="Data diffida" ng-model="dati.dataDiffidaIN" id="dataDiffida" name="dataDiffida" ng-required="dati.diffida == 'si'">
              </div>
            </div>
            
            <div class="row g-3 my-3">
              <div class="mb-3">
                <label for="exampleFormControlTextarea1" class="form-label fw-bolder">Nota</label>
                <textarea class="form-control" ng-model="dati.nota" id="exampleFormControlTextarea1" rows="4"></textarea>
              </div>

            </div>
        </div>
        <div class="card-footer d-flex justify-content-center">
          <button type="submit" class="btn btn-success" form="formSalva" style="width: 300px;">Salva</button>
        </div>

      </div>

      </form>
    </div>
  </div>


</div>